#include "B4RDefines.h"

namespace B4R{
    void B4RLED :: Initialize(byte p, boolean state){
        pinMode(p,OUTPUT);
		pin = p;
		if(state == false){
           digitalWrite(pin,LOW);
		}else  if (state == false){
		   digitalWrite(pin,HIGH);
		}
    }

  void B4RLED::on(){
      digitalWrite(pin,HIGH);
    }

  void B4RLED::off(){
      digitalWrite(pin,LOW);
    }

   void B4RLED::disAttach(){
        digitalWrite(pin,LOW);
        pinMode(pin,INPUT);
    }

    boolean B4RLED::getState(){
		if(digitalRead(pin) == HIGH){
			return true;
		}else{
			return false;	
		}
    }

    byte B4RLED::getPin(){
        return pin;
    }
}